using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
namespace Sevomin.Models
{
    public class ChangePasswordViewModel
    {
        [DisplayName("رمز عبور فعلی")]
        [Required(ErrorMessage = "ورود {0} الزامی است.")]
        [DataType(DataType.Password)]
        public string Password { get; set; }

        [DisplayName("رمز عبور جدید")]
        [Required(ErrorMessage = "ورود {0} الزامی است.")]
        [DataType(DataType.Password)]
        public string NewPassword { get; set; }

        [DisplayName("تایید رمز عبور")]
        [Required(ErrorMessage = "ورود {0} الزامی است.")]
        [DataType(DataType.Password)]
        [Compare("NewPassword", ErrorMessage = "تایید رمز عبور با رمز عبور جدید مطابقت ندارد.")]
        public string ConfirmPassword { get; set; }
    }
}
